==========================================
*  История изменений                     *
*  программы "RM-SKLAD Складской учет"   *
==========================================


Версия 1.9.14.1 от 30.04.2018
=============================
[*] Исправлен недочет, из-за которого выходила ошибка в отчете "Перемещение со склада".


Версия 1.9.14 от 23.04.2018
===========================
[+] Ширина поля штрих-код увеличена до 40 символов. Штрихкоды с меньшей длиной можно вносить как обычно. В настройках добавлены
    новые настройки, с помощью которых осуществляется автоматический контроль вводимых штрих-кодов - "Контроль длины штрих-кодов" и
    "Длина поля штрихкод". Также добавлена возможность автоматического формирования штрих-кода аналогично формированию артикула.
    Возможность может быть как включена так и выключена. В справочнике товаров добавлена сортировка по штрих-коду.
[+] Добавлена печатная форма для журнала документов - можно распечатать выведенный список документов.
[*] Список товаров в документах обновляется автоматически после внесения изменений в справочнике товаров.
[*] При создании товаров в справочнике товаров автоматически заполняется цена значением из настроек учета - "цена по умолчанию".


Версия 1.9.13.3 от 18.03.2018
=============================
[*] Исправлена ошибка при открытии в приложении "Продавец" отчета "Наличие на складе".
[*] Исправлен недочет, из-за которого при отключенном адресном учете некорректно сохранялись места хранений для товарных позиций,
    в результате чего эти позиции в отчете "Наличие на складе" не группировались (отображались например -1 и 1 вместо 0).
[-] Убрана возможность удаления остатков с нулевым количеством при закрытии периода. Эти действия (списание) рекомендуестя проводить
    с помощью документов "Ввод/списание остатков со склада".


Версия 1.9.13.2 от 09.01.2018
=============================
[*] Исправлена проблема с отображением кнопок добавления, редактирования и т.д. товарных позиций в документе при малых
    (высота 600 пикселей) разрешениях экрана.
[*] Проведена внутренняя оптимизация программы.


Версия 1.9.13.1 от 10.12.2017
=============================
[*] Переработана система доступа. Для "интерфейса кассир" убраны ограничения по доступу в конкретные справочники, отчеты,
    типы документов. Теперь это может быть более гибко настроено через стандартную настройку пользователя.
    Недоступные пользователю типы документов, а также документы недоступных складов от пользователя полностью скрыты
    (в журнале документов и в поиске документов).
[*] Исправлен недочет, при котором при открытии через поиск документа из закрытого периода было возможно редактирование
    этого документа.
[*] Для поиска документов и поиска товаров в документах добавлен выбор "поиск по всем рабочим периодам" или
    "только по текущему периоду". Если пользователю недоступна работа с предудущенми периодами, то недоступен и это выбор.
    При этом поиск осуществляется только по текущему складу или по всем складам, но только в режиме "Все склады",
    если он доступен пользователю.
[*] В окне "поиска документов" добавлены поля для поиска документов "Приход" - сопроводительный и платежный документ.


Версия 1.9.13 от 06.12.2017
===========================
[+] Добавлена настройка доступа по отчетам. В справочнике пользователей для пользователя добавлена вкладка "Доступ",
    где можно указать какие отчеты и справочники доступны пользователю. Вкладка справочники убрана.
[+] В справочнике пользователей для пользователя добавлен флаг (вкладка "Приложения") "Выбор рабочего периода",
    где можно указать, есть ли у пользователя возможность просматривать предыдущие периоды.


Версия 1.9.12.3 от 22.11.2017
=============================
[*] Исправлена ошибка выходящая при открытии отчета Наличие по складам.


Версия 1.9.12.2 от 20.11.2017
=============================
[*] Исправлены ошибки выходящие при открытии отчетов Оборотно-сальдовая ведомость, Отчет по кассе, Карточка товара и
    Карточка контрагента.


Версия 1.9.12.1 от 16.11.2017
=============================
[*] Исправлена ошибка при открытии записей в справочнике пользователей.
[*] Исправлена ошибка при открытии журнала наличия.


Версия 1.9.12 от 13.11.2017
===========================
[+] Изменен тип поля "номер документа" со строкового на числовое. Номера документов теперь могут быть только числами.
[+] В документах добавлено поле "доп.инф." (дополнительная информация), которое может заполняться произвольными данными.
    В журнале документов есть возможность сортировки по данному полю.


Версия 1.9.11.4 от 02.11.2017
=============================
[*] Исправлена проблема с вводом товарных позиций в документе через кнопку "...".
[*] Исправлена проблема с удалением документов.

    Важно! Примечание:
    В этой версии изменен порядок сортировки в журнале документов по умолчанию - на сортировку "по дате
    и номеру как строке". Чтобы изменить порядок сортировки на более привычный ("по номеру как числу") выберите этот
    порядок соответствующей клавишей на панели инструментов. При этом если в номерах документах пристуствуют буквы
    или другие нецифровые символы будет выдаваться ошибка. В этом случае нужно вернуть порядок сортировки обратно.
    Если исправить проблемные номера, то сортировка "по номеру как числу" будет работать.
    В ближайших версиях номер документа будет сделан чисто числовым полем.


Версия 1.9.11.3 от 12.10.2017
=============================
[*] Исправлены некоторые недочеты при выборе в документах товаров с параметрами.


Версия 1.9.11.2 от 14.09.2017
=============================
[*] Исправлена ошибка, выходившая при создании некоторых документов на основании других документов.


Версия 1.9.11.1 от 12.09.2017
=============================
[*] Обновлена форма счет-фактуры в соответствии с постановлением Правительства РФ от 25.05.2017 № 625.


Версия 1.9.11 от 04.09.2017
===========================
[+] Добавлен адресный учет. Справочник складов заменен на более функциональный справочник мест хранения, который
    позвозяет заводить в иерархическую структуру как склады, так и другие принадлежащие им места хранения - 
    стеллажи, полки и ячейки. У каждого места хранения есть свой уникальный адрес вида "склад.стеллаж.полка.ячейка".
    При вводе документов для каждой товароной позиции можно указать адрес куда данная позиция помещается.
    Есть возможность работать без адресного учета установив в настройках соответствующую галочку.
    Склады сохранили все свои первоначальные функции.
[+] В настройках учета добавлена новая вкладка "Возможности", на которой можно включить или отключить использование
    различных дополнительных возможностей программы, в частности использование параметров товаров и мест хранения.
    Включение и отключение возможностей влияет в первую очередь на окна редактирования позиций документов (как наиболее
    часто используемые) с целью разгрузить их от ненужных в данный момент элементов управления. 


Версия 1.9.10.1 от 09.08.2017
=============================
[*] Исправлены мелкие недочеты в приложении "Продавец".


Версия 1.9.10 от 07.08.2017
===========================
[+] Дополнены возможности по работе с датой доставки: добавлены соответствующие поля в журнале документов,
    добавлена сортировка по дате доставки и возможность ее вывода в печатных формах (переменные DostDate и DostFakt).
[*] Доработано окно выбора комплектующих в документах "сборка-разборка".
[*] Исправлена ошибка при установке галочки "Услуга" в справочнике товаров.
[*] Для работы программы больше не требуется библиотека myUDF.dll, что сделает установку серверной части
    программы на серверах пользователей для некоторых ОС более корректной и простой.


Версия 1.9.9.1 от 01.08.2017
============================
[*] Улучшено окна выбора товара в документе. Вместо трех полей выбора оставлено одно, но параметр (артикул, наименование
    или штрихкод), по которому происходит выбор товара можно изменить. Выбор производится клавишей "п" находящейся рядом
    со строкой поиска. Убран фильтр. Клавиша "Найти" убрана. Вместо нее используется новая постоянно доступная
    клавиша "Выбрать товар", которая в зависимости от вида документа отображает или каталог товаров, или список товаров,
    имеющихся в наличии на складе.


Версия 1.9.9 от 20.06.2017
==========================
[+] В документе "Реализация" добавлены поля "Доставка" и "Дата доставки"
[+] В документах "Сборка-разборка" добавлена возможность редактировать список комплектующих.


Версия 1.9.8 от 05.06.2017
==========================
[+] Добавлена возможность учета расходов по "центрам затрат". Объекты могут быть отнесены к какому-либо из центров затрат.
    Соответственно добавлен справочник центров затрат, добавлена возможность отнесения объектов к центру затрат. Также
    добавлены некоторые поля в справочнике объектов, в частности "тип объекта" и некоторые другие. Добавлен отчет
    "Карточка центра затрат", изменен отчет "Карточка объекта".
[+] Добавлены возможности по группировке по документам и поставщикам в отчет "Оборотно-сальдовая ведомость".
[+] Для документа "Списание со склада" добавлена печатная форма "Акт на списание МБП" МБ-8.
[+] Для складов добавлено поле "материально-ответственное лицо".
[*] Исправлен вывод количества во всех печатных формах (Excel и OpenOffice), где оно присутствует. Теперь количество
    выводится со знаками после запятой, только если они есть.


Версия 1.9.7.2 от 06.04.2017
============================
[+] Добавлены в настройке колонок документа колонки для параметров товаров.
[*] Исправлен недочет - в справочнике товаров нельзя было выбрать параметры при добавлении штрихкодов.


Версия 1.9.7.1 от 25.03.2017
============================
[*] Исправлен недочет - иногда мог сбрасываться пароль для подключения к базе данных в "настройках рабочего места" для 
    вариантов подключения "по локальной сети" и "через интернет".


Версия 1.9.7 от 20.03.2017
==========================
[*] Добавлена возможность настройки для пользователей доступа к каждому справочнику в отдельности. Настройка
    осуществлается в справочнике пользователей.


Версия 1.9.6.3 от 16.03.2017
============================
[*] Название поля "Комментарий" в некоторых шаблонах документов вынесено отдельно от текста самого комментария.


Версия 1.9.6.2 от 02.03.2017
============================
[*] Исправлена ошибка при очистке справочника товаров в режиме "Очистка базы данных".
[*] Исправлена ситуация, когда в окне "добавления/редактирования товара" в документе для товаров с параметрами 
    пропадают за границы окна кнопки "Ok" и "отмена".


Версия 1.9.6.1 от 09.02.2017
============================
[+] Настройки перенесены из INI-файлов в реестр.


Версия 1.9.6 от 26.01.2017
==========================
[+] Изменен принцип использования параметров товаров. Теперь индивидуально для каждого товара возможно использование
    любого набора из имеющихся параметров. Количество параметров увеличено до четырех. Параметры и их значения заносятся
    в справочнике параметров. Выбрать параметры, использующиеся для конкретного товара можно в справочнике товаров.
[-] Полностью убрана возможность использования параметров аналитики.


Версия 1.9.5.1 от 18.01.2017
============================
[*] Исправлены недочеты при экспорте-импорте документов.


Версия 1.9.5 от 26.12.2016
==========================
[+] Добавлена поддержка формата JPEG. В справочнике товаров теперь можно загружать изображения как формата BMP (*.bmp),
    так и JPEG (*.jpg).
[+] В справочнике товаров добавлена вкладка "Наличие".
[*] В окне добавления товарной позиции в документе список артикулов теперь отсортирован.


Версия 1.9.4 от 15.11.2016
==========================
[+] Добавлена возможность при реализации использовать два налога. Возможность использования второго налога и названия налогов
    настраиваются в "настройках учета".


Версия 1.9.3.2 от 07.06.2016
============================
[*] Исправлена ошибка при создании документов копированием.


Версия 1.9.3.1 от 12.04.2016
============================
[*] Исправлен недочет, заключавшийся в выдаче сообщения об ошибке при добавлении товарных позиций в документах "Сборка".


Версия 1.9.3 от 07.03.2016
==========================
[+] При добавлении товарной позиции в документе теперь показывается изображение товара. Изображение может быть открыто в
    окне с реальным масштабом. Вожможность можно включить или отключить в настройках учета.
[+] В документах "Приход в кассу" и "Расход из кассы" добавлена возможность выбора контрагента. Контрагент выводится в
    выходных формах документов.
[+] В документах "Реализация" добавлена возможность выбора из списка варианта цены реализации (продажная цена 1,
    продажная цена 2 и т.д.). Также список изначально показывает по какой цене осуществляется реализация. Возможность выбора
    цены может быть включена или выключена для каждого конкретного пользователя в справочнике пользователей.
[+] В документах с товарными позициями добавлена возможность сортировки списка товарных позиций по артикулу и наименованию
    товара.


Версия 1.9.2.1 от 26.02.2016
============================
[*] Исправлен недочет в справочнике пользователей, вызывавший ошибку при добавлении новых пользователей.


Версия 1.9.2 от 25.01.2016
==========================
[+] Добавлен блок заказов. Ведется независимый учет четырех типов заказов - прихода (заказ поставщику), перемещений, расхода
    и реализации (заказ покупателя). Для каждого типа заказов предусмотрены свои типы документов для создания и сбрасывания
    заказа. При нормальном стечении обстоятельств сбрасывание заказов происходит соотвествующими документами осуществляющими
    выполнение данного заказа - приход, перемещение, расход или реализация, выписанными на основании заказа. Остатки заказов
    переносятся в новые рабочие периоды. Список заказанных товаров по указанному виду заказа на произвольную дату можно
    получить с помощью отчета "Заказано товаров".
    Информация о заказах отображается для информации в окне добавления/редактирования товарных позиций в документах,
    которые производят списание со склада (перемещение, расход и реализация). Информация выводится в четырех графах -
    наличие, заказ, бронь и свободно (раньше отображалось только наличие). Графа "Наличие" - не изменилась с предудущих
    версий, "Заказ" - суммарный заказ на данный склад (складывается из заказов поставщику и заказов перемещений на данный
    склад), "Бронь" - суммарный заказ с данного склада (складывается из заказов перемещений с данного склада,
    заказов расходов и заказов реализаций), "Свободно" - разница между наличием и бронью, т.е. количество товара доступное
    для списания. Контроль списания теперь осуществляется по графе "Свободно", а не "Наличие".
    Различные типы заказов могут использоваться независимо друг от друга или неиспользоваться вообще. В таком случае
    в настройках учета (вкладка другое) можно снять галочку "Показывать информацию о заказах при добавлении товара".
[+] Добавлен отчет "Реализация и наличие на складе", который является комбинацией отчетов реализация и наличие на складе.
    Отчет содержит все колонки отчета "реализация" и колонку наличие, отображающую наличие на складе. Приэтом в отчете
    отображаются как позиции по которым была реализация, но нет в наличии, так и которые есть в наличии, но не было
    реализации.
[*] В отчете "Наличие на складах" убраны "пустые" строки, т.е. наименования, где все значения количеств и сумм нулевые.
[*] В отчете "Реализация" (генератор FastReport) восстановлено отображение сроки с названиями колонок.
[*] В справочнике пользователей добавлены параметры для пользователя (вкладка "Менеджер") для возможности ограничения ввода даты
    в документах текущей или текущей и более поздней датой.
[-] Убрана функция отображения в форме "добавления/редактирования товара" наличия на дополнительном складе, которая раньше
    как правило использовалась для эмуляции заказов.


Версия 1.9.1.2 от 10.12.2015
============================
[+] В настройках рабочего места на вкладке прочее добавлены параметры "Сортировка контрагентов по полю" и
    "Выводить коды в выпадающих списках".
[*] В окнах параметров отчетов приведены к новому виду блоки Поставщик, Покупатель, Пользователь, Объект.
[*] Исправлен недочет в блоке Склад, из-за которого в отчете мог выводится не тот склад, который был выбран.


Версия 1.9.1.1 от 29.11.2015
============================
[*] В окнах параметров отчетов приведен к новому виду блок "Склад". Исправлены мелкие недочеты в окнах параметров.
[*] В отчете "Карточка контрагента" исправлен вывод наименования контрагента.
[*] Доработана служебная утилита "Интернет-монитор"


Версия 1.9.1 от 16.11.2015
==========================
[+] Окна параметров отчетов изменены с диалоговых на дочерние для главной формы, то есть теперь они могут находится открытыми
    не мешая при этом переключаться на другие окна и обратно. Также в эти окна добавлена клавиша "Получить", которая позволяет
    получить отчет не закрывая окно параметров. Если же воспользоваться клавишей "Ок", то после формирования отчета окно
    с параметрами будет закрыто. В приложении "продавец" изменений в данных окнах не производилось.
[+] Расширена информация попадающая в протокол действий.


Версия 1.9.0.1 от 29.10.2015
============================
[*] Исправлен недочет, из-за которого перестал работать "контроль списания количества/суммы".


Версия 1.9.0 от 26.10.2015
==========================
[+] Приведены к единообразию выпуски/тарифы "демо", "начальный", "упрощенный", "профессиональный". Изменены для них ограничения.
    Выпуск/тариф "демо" определяется автоматически без наличия или с недействующим регистрационным ключом. Для остальных
    выпусков/тарифов требуется регистрационный ключ. При этом тариф "начальный" - бесплатный.


Версия 1.8.19.1 от 13.10.2015
=============================
[*] Исправлена ошибка, не позволявшая подключиться к базе данных в режиме работы через интернет.


Версия 1.8.19 от 12.10.2015
===========================
[+] В справочнике пользователей добавлена возможность выбора прав доступа отдельно на каждый вид документов. Доступ определяется
    выбором из следующих вариантов: нет доступа, просмотр, ввод/дедактирование. Для варианта ввод/редактирование возможно уточнение
    по каждому из видов действий с документами: ввод, редактирование, удаление.
[+] Добавлена возможность создания документа Реализация на основании документа Перемещение. Исправлен недочет при создании
    документа Реализация на основании документа Приход.
[*] В отчете Прайс-лист для вывода в текстовый файл исправлен недочет при выводе товаров с параметрами.
[*] В отчетах изменен внешний вид блоков для выбора периода и номенклатуры, что позволило уменшить размер окон параметров отчетов
    и сделать выбор более удобным.


Версия 1.8.18.3 от 18.09.2015
=============================
[*] В отчете "Реализация со склада" добавлена возможность отбора и группировки по пользователям.
[*] В отчете "Карточка контрагента" реализована возможность выбора произвольного периода времени.
[*] Для документов Счет и Счет-фактура убрано действие опций "Контролировать списание - количество(сумма)".


Версия 1.8.18.2 от 25.08.2015
=============================
[*] Оптимизированы процедуры очистки и инициализации протокола при подключении к базе данных, что значительно сократило время
    их выполнения при работе через интернет.


Версия 1.8.18.1 от 31.07.2015
=============================
[*] В приложении "Продавец" в отчете "Наличие на складе" добавлена возможность вывода в дополнительных единицах измерения.
[*] Исправлен недочет в справочнике товаров - при добавлении копированием выходила ошибка потому что не было заполнены значения
    на вкладке "Параметры".
[*] Исправлены недочеты в печатных формах "Счет-фактура" и "Требование-накладная М-11".


Версия 1.8.18 от 20.07.2015
===========================
[+] Добавлена возможность указания в документе скидки. Скидка может быть указана для каждой товарной позиции индивидуально.
    Скидка для документа в целом расчитывается исходя из общей суммы скидок по всем товарным позицям.
[*] Изменены настройки для автоматической нумерации документов. Теперь доступны две настройки (вкл/выкл) - отдельная нумерация
    для различных складов и для различных видов документов.
[*] Для документов сборка и разборка добавлена сводная информация по комплектующим.
[*] Исправлена ошибка при редактировании товарных позиций в документах сборка-разборка.
[*] Добавлено (восстановлено) поле "комментарий" для товарной позиции.
[*] Исправлены мелкие недоработки в приложении "RM-SKLAD Продавец".


Версия 1.8.17 от 29.06.2015
===========================
[+] Добавлена возможность указания варианта использования параметров для каждого товара в отдельности, а не для всей номенклатуры
    в целом как было ранее.
[+] В иерархических справочниках (на текущий момент это справочники товаров и контрагентов) добавлена возможность ввода для групп
    "значений по умочанию". Данные значения подставляются в форму ввода при создании новых записей в соответствующей группе.
    Также есть возможности для массовой установки данных значений для вложенных папок или записей справочников.
[+] В отчетах в блоке "номенклатура" добавлен вариант "набор", который позволяет выбрать произвольный набор номенклатуры для 
    построения отчета. Там же для варианта "наименование" добавлена возможность выбора не только по наименованию, но и по артикулу.
[+] В справочнике пользователей при настройке возможности работы в приложении "Продавец" добавлена возможность включить/выключить
    возможность видеть кроме своих также и документы других пользователей.
[*] Исправлен недочет при добавлении в справочнике пользователей.


Версия 1.8.16 от 18.05.2015
===========================
[+] Добавлено дополнительное приложение "RM-SKLAD Продавец", предназначенное непосредственно для продавцов товаров и услуг.
    Приложение содержит только необходимый для продавца функционал - например из документов только "реализация",
    "возврат реализации", "счет", "счет-фактура", но при этом имеет более простой и удобный для продавца интерфейс.
    Основное приложение "RM-SKLAD Складской учет" переименовано в "RM-SKLAD Менеджер", в нем сохранен полный функционал.
    При установке устанавливаются все приложения, но есть выбор, иконки каких приложений вывести на рабочий стол.


Версия 1.8.15.1 от 14.05.2015
=============================
[*] Исправлена ошибка в отчете "Наличие по складам" появившаяся в версии 1.8.14 после добавления выбора "цены для формирования
    отчета" и заключавшаяся в неправильном формировании для колонок-складов итоговых значений по товарным группам.


Версия 1.8.15 от 29.04.2015
===========================
[-] Убрана редко используемая функция - аналоги.
[-] Убраны параметры аналитики из товарных позиций документов. Справочник параметров аналитики пока сохранен, хотя его данные
    и не используются на текущий момент. Возможно параметры аналитики будут возвращены, но на уровне документов, а не товарных
    позиций. Предложения и пожелания присылайте на rm_sklad@mail.ru.
[-] Убрано поле "комментарий" для товарной позиции из-за неэффективности использования.
[*] В окне добавления/редактирования товарной позиции исправлен перерасчет поля "цена" при изменении поля "сумма", а также
    перерасчет поля "цена реализации" при изменении поля "сумма реализации". Редактирование полей "сумма" и "сумма реализации"
    теперь доступны для всех типов документов, оперирующих с товарными позициями.


Версия 1.8.14.2 от 23.04.2015
=============================
[*] Добавлено окно с прогрессом при подключении к базе данных.


Версия 1.8.14.1 от 14.04.2015
=============================
[+] Добавлен отчет "Карточка контрагента".
[*] Исправлен подсчет конечной суммы по организации в отчете "Отчет по кассе".
[*] Доработана выгрузка в текстовый файл для отчета прайс-лист.


Версия 1.8.14 от 06.03.2015
===========================
[+] Добавлен документ "Авто-списание остатков со склада". Документ по сути является обычным документом "Списание остатков
    со склада", но его содержимое генерируется автоматически в зависимости от наличия на складе и выбранных параметров.
[+] Для отчета "Наличие по складам" добавлен, аналогично отчету "Наличие на складе" выбор цены для вывода. Также для обоих
    отчетов теперь выбранная для вывода цена запоминается и после закрытия программы.
[+] Для отчета "Наличие по складам" (только в FastReport) добавлена цветовая расцветка ненулевых ячеек таблицы.
[+] Для отчета "Прайс-лист" добавлена возможность выгрузки в текстовый файл (дополнительная кнопка в окне параметров отчета).
    Данный файл можно использовать для импорта данных из программы, например, на сайт/интернет-магазин.
[*] Поле артикул увеличено до 40 символов.
[*] Исправлен недочет, когда не формировалась печатная форма для документов "Расчет с контрагентом" с отрицательной суммой.
[*] При редактировании товара родительскую группу теперь можно выбрать через дополнительное окно. Это удобно при длинных
    названиях групп.


Версия 1.8.13.1 от 14.03.2015
=============================
[+] В отчете "Наличие по складам" добавлена возможность выбора складов из списка для формирования отчета.
[+] В документе "Перемещение" добавлена печатная форма "Форма с ценами реализации". Выбор цены осуществляется в
    дополнительном окне перед формированием печатной формы.
[*] Доработаны печатные формы для документов "Расчет с контрагентом" и "Ввод остатков на контрагента".
[*] На главную панель инструментов выведены кнопки для отчетов "Наличие по складам" и "Прайс-лист".
[*] Для интерфейса "Кассир" сделан доступным отчет "Ценники".
[*] Изменены названия некоторых колонок в окнах "управление рабочими периодами" и "справочник товаров".
[*] Для документов "Ввод остатков на склад" и "Списание остатков со склада" добавлена возможность создания этих документов на
    основании друг друга. Это может быть полезно, например, при переоценке когда и списываются и приходуются одни и теже
    товары.


Версия 1.8.13 от 02.03.2015
===========================
[*] Изменен принцип работы с наценкой. Убрано физическое поле "наценка" в товарных позициях документов "Реализация" в базе данных.
    Наценка останется в программе теперь только как расчетное поле, т.е. она вместо того чтобы храниться в базе данных, будет
    расчитываться автоматически при открытии документа. Таким образом упростится логика расчета цен и сумм реализации, а также
    будут исключены ситуации когда наценка и цена реализации не соответствовали друг другу.
    В связи с этими изменениями при вводе/редактировании документов теперь будет закрыта возможность ввода произвольного значения
    наценки для каждой товарной позиции. Останутся варианты, выбираемые в настройках учета - формирования продажной цены по
    учетной цене и фиксированной наценке, либо по выбранной продажной цене с номерами от 1 до 8. Продажные цены в справочнике 
    товаров могут гибко перерасчитываться с помощью процедуры "перерасчет цен".
[-] Убраны поля "создал" и "редактировал" для товарных позиций в документах. Всю необходимую информацию можно получить из
    "протокола действий".
[*] Исправлены печатные формы для документов сборка-разборка.
[*] В отчете "ценники" в режиме "только наличие на складе" теперь выводится все наличие с учетом различных параметров товаров,
    если они присутствуют. В самих ценниках выводится соответсвующая информация о параметрах. Также внесены изменения в отчет
    "ценники" - вывод теперь ведется в три колонки в том числе и в Excel и OpenOffice Calc и другие.


Версия 1.8.12 от 16.02.2015
===========================
[+] Добавлена система протоколирования. Просмотреть все действия в программе за нужный промежуток премени можно через
    пункт меню База данных -> Протокол действий. В настройках учета, вкладка Другое можно указать нужно ли очищать старые
    записи протокола и максимальное число записей.
[+] Для дополнительных единиц измерения (в настройках учета, вкладка Другое) добавлена возможность выбора способа расчета -
    умножить на коэффициент или поделить на него.
[+] Для печати чека на фискальном регистраторе добавлена настройка, указывающая максимальное количество строк, в которые
    выводится длинное наименование (Настройки рабочего места, вкладка Фискальный регистратор). Также если включено
    использование параметров товаров, то в наименовании теперь выводятся и параметры товаров.
[*] В справочнике товара исправлен недочет при создании новой записи копированием - не переносилось значение флага "Услуга".


Версия 1.8.11.1 от 11.02.2015
=============================
[*] Более корректно сделана подстановка значений единицы измерения и учетной цены по умолчанию при добавлении записей
    в справочнике товаров, если они не заполнены.


Версия 1.8.11 от 02.02.2015
===========================
[+] Добавлена возможность получения информации о товарах в дополнительных единицах измерения. Для каждого товара в
    справочнике товаров на вкладке "Дополн." добавлены два коэффициента. Это коэффициенты для перевода количества в две
    дополнительные произвольные единицы измерения. Названия для единиц измерения вводятся в настройках учета,
    вкладка "Прочее". На данный момент информация о количестве в дополнительных единицах измерения выводится только
    в отчете "Наличие на складе" при выборе соответсвующей галочки.
[+] Добавлена возможность указать единицу измерения и учетную цену по умолчанию. Данные значения будут подставляться при
    добавлении новых товаров в справочнике товаров.
[+] В настройках рабочего места, вкладка "Прочее" - добавлена настройка "Переход по Enter в диалоговых формах".
[*] Длина поля "комментарий" в документах увеличена до 200 символов.


Версия 1.8.10.2 от 27.01.2015
=============================
[*] В справочниках при открытии окна добавления нового элемента справочника курсор автоматически переходит на первое
    редактируемое поле.
[*] Исправлена проблема, из-за которой в некоторых справочниках при открытии окна добавления/редактирования не был виден
    текстовый курсор в текущем поле.


Версия 1.8.10.1 от 16.01.2015
=============================
[+] Добавлен новый отчет "Бланк заказа для клиентов". Отчет будет полезен фирмам, имеющим оптовых покупателей. Он позволяет
    получить документ, в котором заказчики (оптовые покупатели) могут составить свой заказ на покупку.
    Отчет оптимизирован для использования с дополнительными параметрами товаров, такими как, например, размер и цвет.
    При этом в отчете выводятся изображения товаров - доступно при выводе в FastReport или Excel.
[+] В отчете "Прайс-лист" изменен порядок вывода изображений: размеры изображений увеличены, для них автоматически отводится
    место, но при этом увеличивается длина отчета. Также теперь изображения выводяться не только в FastReport но и в Excel.
    При снятой галке "выводить изображения" отчет выводится как раньше - без выделения места под изображения.
[*] В окне ожидания при выводе отчетов в Excel или OpenOffice Calc добавлена полоса прогресса.
[*] Во всех формах документов для Excel и OpenOffice Calc исправлено поле с наименованием товарной позиции. Теперь выводится
    наименование товара и, если они присутсвуют, параметры товара.


Версия 1.8.10 от 09.01.2015
===========================
[+] В окне "Управлении рабочими периодами" изменена процедура закрытия периода. Теперь перед закрытием выдается окно с
    информацией о закрываемом и создаваемом (в случае необходимости) новым периодом. Также после закрытия периода выдается
    сообщение об обнаруженных остатках с нулевым количеством и ненулевой суммой и предложением удалить их.
[-] Пункт меню "Закрытие текущего рабочего периода" убрано за ненадобностью.
[*] Исправлен отчет "Наличие по складам", где в некоторых строках могли присутствовать неверные данные по отдельным складам,
    хотя итоговая цифра по всем складам формировалась верно.
[*] Исправлен недочет - при включенном контроле по количеству срабатывал контроль и по количеству, и по сумме.


Версия 1.8.9.1 от 25.12.2014
============================
[*] Изменена форма перерасчета цен в справочнике товаров. Теперь любая цена может быть расчитана исходя из любой другой
    умножением на коэффициент и/или прибавлением некоторого значения. С помощью коэффициента и значения можно добиться
    эффекта не только умножения и прибавления, но и деления и вычитания. Также можно проставить в цену фиксированное
    значение или при необходимости округлить результаты.
    Перерассчет может проводиться для всей номенклатуры или для отдельной группы с включением или не включением подгрупп.


Версия 1.8.9 от 22.12.2014
==========================
[+] Добавлена возможность заведения и использования нескольких штрихкодов для одного наименования товара. Использовать 
    данную возможность имеет смысл только при включенном использовании дополнительных параметров товаров - каждый
    штрихкод определяет комбинацию из товара и параметров товара.
[*] Исправлен недочет, из-за которого при использовании параметров товаров в окне добавления/редактирования товарной
    позиции при смене наименования неправильно определялись наличие и цена, для данного товара и параметров.
[*] Именен алгоритм действий при смене товара в окне добавления редактирования товара. Теперь действия одинаковые
    и при добавлении позиции и при редактировании.
[*] Исправлен мелкий недочет при редактировании справочников параметров товаров и параметров аналитики,
    из-за которого могли создаваться "невидимые" параметры.


Версия 1.8.8.1 от 10.12.2014
============================
[+] Добавлена возможность быстрого поиска в справочниках (клавиша Ctrl-F). Поиск проводится по полю, по которому
    в данный момент отсортирован справочник.


Версия 1.8.8 от 01.12.2014
==========================
[+] В документа реализация добавлен способ оплаты "Картой". Также теперь по умолчанию способом оплаты считается вариант
    "Наличными". Во всех документах, где не был указан способ оплаты при обновлении версии автоматически проставится
    вариант "Наличными".
[+] В журнале движений на вкладке реализация кроме общих сумм реализации теперь отображаются суммы по способам оплаты - 
    наличными, безналичный расчет и картой.
[+] Для отчета "Реализация со склада" добавлен выбор способа оплаты.
[+] В отчетах "Реализация со склада" и "Реализация со склада с аналитикой" в выходной форме добавлены колонки "НДС" и
    "Сумма с НДС".
[*] В "настройках учета" настройка "контролировать списание" разбита на две - "количество" и "сумма". Таким образом можно
    контролировать отдельно количество или сумму.
[+] В "настройках учета" добавлена настройка - при нулевой сумме документа "реализация" проверять наличие комментария.
[+] В "настройках учета" добавлена настройка - показывать дополнительно наличие на выбранном складе в окне добавления/
    редактрования товарной позиции.


Версия 1.8.7.1 от 20.11.2014
============================
[*] Добавлена возможность указывать услуги в документах "счет" и "счет-фактура".


Версия 1.8.7 от 17.11.2014
==========================
[+] В справочнике товаров добавлены поля "код" и "описание". Имевшееся поле код, недоступное для редактирования,
    переименовано во "внутренний код". Новое поле код никак от него не зависит и может заполняться произвольными числовыми
    значениями. Описание позволяет заводить произвольное текстовое описание товара или любую другую информацию.
[*] При создании документа "реализация" на основании документа "приход" цены и суммы реализации оставались пустыми.
    Теперь они расчитываются корректно в зависимости от выбранного варианта реализации товаров.
[*] Расширено поле "артикул" в окне добавления товарной позиции.


Версия 1.8.6.1 от 27.10.2014
============================
[*] Исправлена небольшая проблема при создании записи в справочнике товаров.


Версия 1.8.6 от 13.10.2014
==========================
[+] Добавлена возможность работы с услугами. Услуги заносятся в справочник товаров, при создании или редактировании
    любого товара можно поставить пометку "услуга". Для услуг автоматически проставится нулевая учетная цена.
    Отличие услуг от товаров в том, что они не сохраняются в остатках, не отображаются в наличии и для них не проверяется
    достаточность количества при списании. Выписать услугу можно только в документах "реализация" и "возврат реализации".
[+] Добавлены печатные формы Excel и OpenOffice для Казахстана (доверенность, отпуск на сторону, ПКО, счет, счет-фактура).
    Чтобы воспользоваться формами нужно в папке программы в подпапке Reports переименовать файлы с надписью "Казахстан"
    в соответствующие файлы с названиями без такой надписи.
[+] Расширена возможность настройки денежной единицы: теперь можно указать не только основную единицу, например
    рубли, но и дополнительную, например копейки. Вывод суммы прописью теперь учитывает выбранные денежные единицы.
[*] Исправлены шаблоны отчетов Excel и OpenOffice, в которых присутствует наименование товаров и парамеры. Теперь
    вывод параметров осуществляется нормально.
[*] Для документов Приход и Реализация добавлена возможность создать на основании данных документов соответствующий
    документ "расчет с контрагентом".


Версия 1.8.5.3 от 03.10.2014
============================
[*] Восстановлена работа экспорта и импорта из иерархических справочников - товаров и контрагентов.
[*] Сортировка среди документов от одной даты и с одинаковыми номерами производится по времени их создания.


Версия 1.8.5.2 от 24.09.2014
============================
[+] Для отчета "Наличие на складе" добавлена возможность выбора цены для вывода. При выборе варианта "Реальная сумма, 
    средняя цена" осуществляется вывод реальных сумм из документов (как они выводились и ранее) и средней цены.
    При выборе для вывода учетной или продажных цен, выводится данные цены и сумма пересчитанные от них.
    Вариант для отчета наличие "подробный отчет" убран за ненадобностью.
[+] Добавлена возможность выбора сортировки для выпадающих списков поставщиков и покупателей. Выбор осуществляется в
    "Настройках рабочего места" закладка "Прочее".
[*] Исправлены некоторые недочеты при работе со справочником фирм.


Версия 1.8.5.1 от 02.09.2014
============================
[*] Исправлена ошибка в конверторе, из-за которой не проходила конвертация 1.8.3 -> 1.8.4.


Версия 1.8.5 от 11.08.2014
==========================
[*] Изменена в сторону упрощения система расходования материальных ценностей и, соответсвенно получения отчетов по расходу.
    Убран выбор назначения расхода - сотрудник или объект. Теперь весь расход осуществляется только на объекты. Если
    все же необходимо осуществлять расход на сотрудников, то можно сотрудников завести как элементы справочника
    объектов: сотрудники станут "объектами" расхода материальных ценностей.
    Сотрудники при конвертации автоматически переносятся в справочник объектов. Все остатки на них сохраняются, но теперь
    числятся на соответствующих объектах.
    Справочник сотрудников сохранен. Его данные используются на данный момент только для документа доверенность.


Версия 1.8.4 от 28.07.2014
==========================
[*] Раздел "Фирмы" из справочника контрагентов вынесен в отдельный справочник "Фирм".
[*] Разрешено изменение кодов в справочниках складов, контрагентов, объектов, фирм, параметров товаров/аналитики -
    даже если в документах или остатках задействованы данные элементы справочников, чего нельзя было сделать раньше.
[*] Переработаны формы добавления/редактирования записей практически во всех справочниках. Функциональность не изменилась.


Версия 1.8.3 от 14.07.2014
==========================
[*] Расширены возможности внутреннего протоколирования всех действий произведенных в программе. Протокол на данный момент
    хранится в базе данных, средствами программы просмотреть его нельзя.
[*] Для интерфейса "кассир" закрыты колонки сумма, прибыль и наценка в отчетах, доступных данному интерфейсу.
[*] В справочнике товаров при создании записи копированием артикул формируется новый, а не копия из копируемой записи.
[*] Выпадающие списки артикулов, штрихкодов и наименований товаров в отсортированы по наименованию.
[*] Для документа приход теперь при добавлении/редактировании товароной позиции при вводе суммы цена расчитывается
    автоматически. Стандартный режим - при вводе цены рассчитывается сумма - также действует, как и для остальных документов.
[+] В состав программы добавлена утилита "Интернет-монитор RM-SKLAD". Утилита позволяет проводить мониторинг сети интернет
    и связи с сервером RM-SKLAD. Для оценки состояния интернет соединения или при наличии проблем в программе (программа
    вылетает с сообщением типа "связь прервана") рекомендуется запустить утилиту и некоторое время понаблюдать за
    индикаторами. Также утилита создает log-файл, в который записывается весь ход мониторинга. 


Версия 1.8.2.2 от 01.07.2014
============================
[*] Сортировка в выпадающих списках в окне добавления/редактирования товарной позиции в документе возвращена к сортировке
    по наименованию.


Версия 1.8.2.1 от 28.06.2014
============================
[*] Исправлен недочет при добавлении товарных позиций в документе для только что введенных товаров в справочнике товаров
    (до закрытия справочника товаров). По таким позициям была возможна ситуация когда при сохранении документа список
    товарных позиций не сохранялся. Данная проблема устранена. А также теперь списки товаров (и другие списки -
    единиц измерения, контрагентов, складов и т.д.) обновляются сразу при добавлении/редактировании/удалении записи
    в соответствующем справочнике и для этого больше не требуется закрытие справочника.
[*] Исправлен недочет отчетах "Реализация со склада", "Реализация со склада с аналитикой", "Прибыль от реализации" когда
    при выводе в Excel или OpenOffice Calc при для позиций реализации с нулевым количеством выдавалась ошибка.
    Теперь ошибка не выдается, наценка выводится как "прочерк".
[*] В отчетах по приходу, расходу, реализации, перемещениям исправлен незначительный недочет, в результате которого
    при наличии документов "возврат" в отчетах могли появляться ненужные строки с нулевым количеством и суммой.


Версия 1.8.2 от 23.06.2014
==========================
[+] Добавлена возможность автоматического сохранения и закрытия документа Реализация после печати чека на фискальном
    регистраторе. Возможность включаются в настройках рабочего места, вкладка "фискальный регистратор".
[*] Оптимизирована процедура выбора товара при добавлении товарной позиции в документ. Тем самым значительно увеличена скорость
    (уменьшена задержка) выбора товара - ранее при большем справочнике товаров (более 10 тыс. записей) были заметные
    задержки при выборе товара.
[*] Исправлена ошибка, выходившая при добавлении товаров в документах сборка-разборка.
[*] Исправлена ошибка, выходившая при сохранени документов Приход при сохранении учетной цены (флаг в настройках учета
    "автоматически менять учетную цену на введенную в документе приход").
[+] Добавлено в справочнике товаров, вкладка "Дополн." поле "Номер таможенной декларации". Номер таможенной декларации
    и страна-производител выводятся в документе счет-фактура.
[+] Добавлено в справочнике товаров, вкладка "Дополн." поле "Текущий поставщик". Текущий поставщик не доступен для
    редактирования, данные о нем сохраняются в справочнике для каждого конкретного товара при сохранении документа "Приход"
    по аналогии с учетной ценой.
[*] Запрещен ввод документов с неуказанным складом (складом-источником) для всех типов документов. Данная возможность была
    не заблокирована в режиме <все склады>, что приводило к ошибочным ситуациям впоследствии.
[*] Ранее в иерархических справочниках после добавления, изменения или удаления группы выпадающие списки в формах
    редактирования групп/товаров не обновлялись, приходилось закрывать-открывать справочник. Теперь обновляются.
[*] Исправлен отчет "Наличие по складам", где в некоторых строках могли присутствовать неверные данные по отдельным складам,
    хотя итоговая цифра по всем складам формировалась верно.


Версия 1.8.1 от 02.06.2014
==========================
[*] Изменен подсчет средней цены при добавлении/редактировании товара в документе. Средняя цена считается не по состоянию
    на конец рабочего периода как раньше, а по состоянию на дату документа.
    Также цена пересчитывается автоматически теперь не только при добавлении, но и при редактировании товара.
[*] Убран за ненадобностью пересчет средней цены в документе при добавлении/редактировании товара при изменении количества.
[*] Исправлен подсчет цены с НДС (актуально для печатной формы документа "Счет") для варианта "НДС в том числе".
[*] Исправлена ошибка, выходившая при очистке базы данных
[*] Исправлена ошибка, выходившая в отчете FastReport "Реализация со склада"
[*] Исправлена ошибка в отчете "Реализация с аналитикой", из-за которой он формировался пустым
[*] Исправлена ошибка в отчетах для выбора номенклатуры "группа" с указанием "включая подгруппы"


Версия 1.8.0 от 06.05.2014
==========================
[+] Изменен формат ключа, в него добавлена информация о выпуске. Теперь при вводе ключа, информация о выпуске
    определяется автоматически. Ключи от версии 1.7 для версии 1.8 не подходят.
[+] Переработана внутренняя структура иерархических справочников - справочника контрагентов и справочника товаров.
[-] Убран за ненадобностью пункт меню Настройка - настройка выпуска. Тепер выпуск определяется ключем автоматически
    (см. выше).
[-] Убран переход между полями в некоторых формах по нажатию клавиши Enter. Теперь переход осуществляется только
    стандартным способом - клавишами Tab и Shift-Tab.
[-] В справочнике товаров окне редактирования убрана закладка "Наличие". Наличие товара можно посмотреть через отчеты
    "Наличие" или "Карточка товара".


Версия 1.7.11 от 17.03.2014
===========================
[+] Добавлена возможность выбора способа оплаты (наличный, безналичный) для документов реализация. Способ оплаты отображается
    в чеках, распечатанных на фискальном регистраторе. По умолчанию возможность отключена, включить можно через настройки учета,
    закладка Другое.
[*] В "поиске документов" для варианта по комментарию поиск теперь производится по любому вхождению указанной подстроки.
    Добавлена опция для поиска по точному совпадению.
[*] Убраны различия режима SaaS и обычного режима. Теперь программа работает в едином режиме и в нем можно подключаться и 
    локальному серверу и интернет-серверу. Ключи ранее различались, теперь они одинаковы, используются ключи от обычного режима.


Версия 1.7.10.1 от 03.03.2014
=============================
[*] Исправлена ошибка, выходившая при очистке базы данных.


Версия 1.7.10 от 03.01.2014
===========================
[+] Добавлен "Журнал движений", который позволяет просматривать все движения товаров (приход, расход, перемещения,
    ввод остатков, реализацию) по товарным позициям документов.
    В журнале есть возможность пользоваться сортировкой, поиском и фильтром по группам товаров.
    В режиме выбранного склада показывается реализация с данного склада, в режиме <все склады> - реализация со всех складов.
    Журнал реализации (пункт меню "Реализация - свод") убран, так-как теперь его функционал входит в Журнал движений.
[*] Пункт меню "Наличие - свод" изменен на "Журнал наличия".


Версия 1.7.9.1 от 28.01.2014
============================
[+] В настройках фискального регистратора добавлен параметр "ширина ленты", который позволяет задать ширину ленты фискального
    регистратора для избежания ошибок при печати длинных наименований товаров. Наименование товара автоматически обрезается до
    размера, указанного в параметре. Если наименование не убирается в одну строку, то вывод осуществляется в две строки,
    дальнейший остаток обрезается.


Версия 1.7.9 от 20.01.2014
==========================
[+] Добавлен журнал реализации, который позволяет просматривать всю реализацию за указанный период (пункт меню -
    Документы->Реализация-Свод). В журнале есть возможность пользоваться сортировкой, поиском и фильтром по группам товаров.
    В режиме выбранного склада показывается реализация с данного склада, в режиме <все склады> - реализация со всех складов.
[+] Добавлен журнал наличия, который позволяет просматривать все наличие на текущую дату (пункт меню -
    Документы->Наличие-Свод). Для каждой позиции наличия в долнительной панели отображаются остатки на начало, конец
    и история движений за текущий рабочий период. В журнале есть возможность пользоваться сортировкой, поиском и фильтром
    по группам товаров.
    В режиме выбранного склада показывается наличие на данном складе, в режиме <все склады> - наличие на всех складах.
[+] Добавлено необязательное поле "комментарий" для каждой товарной позиции всех документов.
[*] Оптимизирована процедура открытия окна добавления/редактирования товара в документе, что уменьшило заметную задержку
    при открытии этого окна при большом (более 10 тыс. наименований) справочнике товаров.
[*] Исправлена ошибка при очистке справочника товаров.
[*] Длина полей "адрес фактический" и "адрес юридический" в справочнике контрагентов увеличена до 100 символов.


Версия 1.7.8.3 от 12.01.2014
============================
[+] Исправлен недочет, из-за которого в версии 1.7.8 невозможно было создать группу товаров.


Версия 1.7.8.2 от 02.01.2014
============================
[+] В главном окне программы добавлена "панель окон", которая отображает в виде клавиш все открытые окна и
    позволяет переключаться между ними.


Версия 1.7.8.1 от 23.12.2013
============================
[*] Исправлен недочет из-за которого отчеты независимо от выбора в настройках выводились в FastReport до первого открытия
    окна настроек рабочего места.


Версия 1.7.8 от 16.12.2013
==========================
[+] В справочнике единиц измерения добавлены поля полное наименование и код по ОКЕИ.
    Код по ОКЕИ выводится в печатной форме товарной накладной. Также он может быть использован в любой другой печатной форме.
[+] В справочнике товаров добавлены поля краткое и полное наименование, страна-производитель и изображение.
    Краткое наименование товара используется для выбора товара из справочника, полное - выводится во всех документах и отчетах.
    Изображения выводятся в отчете "Прайс-лист" (только для FastReport) при выборе соответствующей галочки.
[+] В справочнике пользователей добавлено поле ФИО. Теперь в печатных формах документов выводится поле ФИО,
    а не логин пользователя.
[*] Длина поля "полное наименование" товара увеличена до 200 символов.
[*] Исправлен недочет с открытием окна "новое сообщение в чате" от своего сообщения.


Версия 1.7.7.1 от 27.11.2013
============================
[*] Исправлена ошибка в процедуре создания копии документа.


Версия 1.7.7 от 18.11.2013
==========================
[+] Выбор "выпуска" теперь осуществляется непосредственно в программе - пункт меню Настройка -> Настройка выпуска.
    Для изменения выпуска не нужно теперь переустанавливать программу. Изменен инсталлятор - убран теперь за ненадобностью
    выбор выпуска.
[+] Появилась возможность автоматического обновления программы в SaaS-режиме.
    Теперь если при запуске программы обнаруживается что версия базы данных выше чем версия программы (эта ситуация возникает
    если на одном из компьютеров было обновлено приложение и затем обновлена [сконвертирована] база данных) предлагается
    запустить автоматическое обновление программы. Модуль автоматического обновления скачивает инсталлятор нужной версии
    программы из интернета и запускает его. Возможность доступна только в SaaS-режиме.
[*] Пункт меню "Настройка программы" переименован в "Настройка рабочего места".
[*] В окне регистрация добавлен блок "информация о программе".
[*] Исправлена ошибка, выходящая при очистке справочника пользователей в процедуре очистки базы данных.
[*] Добавлены в настройках колонок недостающие колонки: фирма, вид и ставка НДС, реализация.


Версия 1.7.6.1 от 05.11.2013
============================
[*] Исправлен незначительный недочет в конверторе.
[*] Добавлена функция оповещения о новых сообщениях в чате.
[*] При открытии журнала документов происходит автоматический переход на последний документ.


Версия 1.7.6 от 28.10.2013
==========================
[+] Добавлены возможности создания резервных копий и восстановления базы данных из них. Возможность работает как для
    локальной сети, так и для баз данных, расположенных на интернет сервере (режим SaaS).
[+] Добавлен Чат. В чате можно писать и принимать сообщения от других пользователей. В режиме SaaS в чате можно написать
    сообщение или вести переписку с разработчиком.
[*] Изменена печатная форма ценников
[*] Для интерфейса "кассира" сделан доступным документ "Счет-фактура"


Версия 1.7.5.2 от 15.10.2013
============================
[*] Исправлена ошибка при выборе товара в документах списания (расход, перемещение, реализация) в режиме без использования
    клавиши "Найти...".
[*] При выборе товара в документах списания (расход, перемещение, реализация) в режиме с использованием клавиши "Найти..."
    в интерфейсе Кассира скрыта колонка "Сумма".


Версия 1.7.5.1 от 10.10.2013
============================
[*] Сделан корректным подсчет сумм без НДС для варианта исчисления НДС "НДС в том числе". Исправлены печатные формы
    счет, счет-фактура, М-15, ТОРГ-12.
[*] В документах Реализация, Счет, Счет-фактура добавлена информация по способу начисления НДС в данном
    конкретном документе.
[*] В отчетах "Наличие" и "Наличие по складам" теперь отрицательные значения количества и суммы выделяются красным,
    в отчете "Наличие" также выделяются синим нулевые количества или суммы (только в отчетах полученных с помощью
    FastFeport).


Версия 1.7.5 от 08.10.2013
==========================
[+] Добавлена возможность выписки документов реализация, счет и счет-фактура от разных юридических лиц.
    Юридические лица заносятся в справочнике контрагентов в папку "Фирмы". В документах продажи можно выбрать
    юридическое лицо, от которого осуществляется продажа. Данные по выбранному юр.лицу выводятся в печатные
    формы документов. По юр.лицу также определяется размер и способ начисления НДС.
    Максимально возможное количество фирм (юридических лиц) определяется выпуском: начальный - одно юр.лицо, упрощенный -
    два юр.лица, профессиональный - неограниченное число юр.лиц.
[+] Добавлена возможность привязки цены реализации к контрагенту (покупателю). В справочнике контрагентов при
    вводе/редактировании контрагента добавлено поле "Реализация" позволяющее выбрать цену реализации.
    Эта цена участвует в формировании цены реалмизации в документах реализация, счет и счет-фактура.
    Цена реализации выбирается из трех значений в следующей приоритетности: реализация для контрагента, для текущего склада,
    реализация из настроек учета.
[+] В справочник товаров добавлены продажные цены 7 и 8. Доработана процедура пересчета цен (может быть запущена
    соответствующей быстрой клавишей из справочника товаров). Теперь можно пересчитать все имеющиеся продажные цены.
[*] Обновлена печатная форма документа Счет
[*] Изменен алгоритм подсчета цены и суммы при списании по средней цене. Раньше сначала расчитывалась цена и от нее
    сумма, что давало довольно большую погрешность при больших количествах. Теперь сначал расчитывается корректная сумма,
    а от нее цена. Также сделано правильное округление до копеек.
[*] Убрано ограничение на изменение кода единицы измерения
[*] Исправлена ошибка в сумме прописью "... одна тысяча рублей"


Версия 1.7.4.4 от 27.09.2013
============================
[*] Переработан конвертор базы данных. Теперь конвертор может работать непосредственно с удаленными базами данных
    и теперь (при работе с интерне-сервером например) не нужно копировать базу данных на локальный компьютер для того
    чтобы провести конвертацию.
    Тем не менее перед проведением конвертации рекомендуется сделать резервную копию базы данных (путем копирования с FTP).


Версия 1.7.4.3 от 20.09.2013
============================
[*] Исправлен подсчет итоговой суммы НДС для печатных форм с участием НДС, получаемых в Excel или OpenOffice Calc,
    таких как ТОРГ-12, Счет-фактура и т.д.
[*] Значительно сокращено время сохранения документов, особенно заметное при работе с интернет-сервером.
[*] Печатная форма счет-фактуры изменена в соответсвии с последними изменениями законадательства.


Версия 1.7.4.2 от 27.08.2013
============================
[*] Для интерфейса Кассир закрыты колонки цена и сумма в печатных формах, в формах поиска товаров и документов,
    в отчете Карточка товара. Также в поисках убраны недоступные для кассира типы документов.
[*] Исправлена работа закладки "Расчет с к/аг"
[*] Сделано корректным определения наличия в документах перемещение при изменении склада-источника.


Версия 1.7.4.1 от 09.08.2013
============================
[+] Выбор средства для вывода отчетов (FastReport, MS Excel, OpenOffice Calc) теперь доступен на каждом рабочем месте,
    а не для всей базы в целом. Настройка производится в "Настройках программы".
[+] В меню справка добавлен пункт "История изменений"
[+] Для документов "перемещение" открыта возможность выбора как склада-приемника, так и склада-источника. Это позоляет
    производить перемещения на "свой склад". В режиме с выбранным текущим складом поизводится проверка - один из складов
    (источник или приемник) должен быть текущим.
[*] Сортировка в справочнике товаров по умолчанию сделана по наименованию. Исправлена сортировка в справочнике контрагентов.
[*] При выводе в OpenOffice окно редактора открывается теперь после окончания формирования отчета, что ускоряет вывод и
    не дает пользователю нарушить ход вывода отчета.
[*] Исправлены недочеты для интерфейса кассира: в списке документов скрыты все не предназначенные для него документы и
    при создании нового документа открыт документ Счет.


Версия 1.7.4 от 29.07.2013
==========================
[+] К имеющимся продажным ценам 1 и 2 добавлены продажные цены 3, 4, 5 и 6.
    В справочнике складов добавился параметр "реализация", который определяет по какой цене происходит
    реализация с данного склада. Если параметр не выбран (а также в режиме "все склады") используется режим
    реализации из общих настроек базы (меню "настройки учета"/"параметры учета").
[+] В настройках пользователя добавлен выбор - интерфейс менеджена/интерфейс кассира
    При выборе "интерфейс менеджера" доступны все имеющиеся возможности, при выборе "интерфейс кассира"
    доступны только:
    документы - Реализация, Возврат реализации, Перемещение, Счет;
    справочники - Товары, Контрагенты (причем в справочнике Контрагентов видны только покупатели);
    отчеты - Реализация, Реализация с аналитикой, Перемещение, Наличие, Карточка товара;
    Также для интерфейса кассир скрыты колонки "учетная цена" в справочнике товаров и "цена", "сумма" и
    "наценка" в документах, с целью сокрытия от кассира учетных (закупочных) цен.
    Данная возможность реализована как временная мера. В дальнейшем планируется гибкая настройка пользователя по всем
    видам документов, справочников, отчетов и колонок.
[+] Справочник контрагентов приведен к иерархической структуре. Контрагенты могут располагаться как в имеющихся
    папках "покупатели" и "поставщики", так и в произвольно созданных дополнительных папках.
[+] Добавлена возможность выбора способа начисления НДС - "сверху" или "в том числе".
    Настройка осуществляется через настройки учета, вкаладка "Параметры учета".
[-] Убрана возможность создания документов "Возврат перемещения". Возврат можно осуществлять обычным
    документом "Перемещение" с того склада, откуда должен быть возврат.
[*] Изменен отчет Прайслист. Теперь цены можно выводить в три настраиваемые колонки. Настраивается - будет ли
    выводится цена в данную колонку или нет, и какая именно из продажных цен (1..6) будет выводиться.
[*] В справочнике товаров в окне редактирования/просмотра товара добавлена вкладка Наличие, на которой отображается наличие
    товара на текущем складе.
[*] При запуске программы после подключения автоматически открывается журнал документов


Версия 1.7.3 от 06.05.2013
==========================
[+] Реализован блок "расчеты с контрагентами (поставщиками и покупателями)". Добавлены документы "Ввод остатков на контрагента" и 
    "Расчет с контрагентом". В остатках на начало рабочего периода теперь сохраняется и информация о текущей
    дебиторской/кредиторской задолженности всех контрагентов. Посмотреть задолженности можно используя отчет
    "Задолженности контрагентов".
    Порядок расчетов (возникновения задолженностей):
    За счет документов "Приход" автоматически будет возникать кредиторская задолженность (задолженность перед поставщиком),
    документом "Расчет с контрагентом" она будет гаситься. За счет документа "Реализация" также автоматически будет возникать
    дебиторская задолженность (задолженность покупателя), документом "Расчет с контрагентом" она будет гаситься.
    Ввод первоначальных остатков задолженностей как на поставщиков, так и на покупателей может быть осуществлен с помощью
    документа "Ввод остатков на контрагента".


Версия 1.7.2 от 15.04.2013
==========================
[*] Справочники поставщиков и покупателей объединены в один справочник контрагентов. Для контрагента имеется признак тип контрагента,
    который определяет это поставщик или покупатель. В документы приход по прежнему могут быть введены только поставщикий,
    в реализацию - только покупатели.
[*] Справочники параматров товаров №1 и №2, а также справочники аналитики №1 и №2 объединены попарно. Выбор конкретного параметра
    осуществляется непосредственно в справочнике с помощью дополнительного элемента управления.
[*] Исправлены печатные формы ТОРГ-12 и ТТН. Дополнены реквизиты покупателя и продавца.


Версия 1.7.1.2 от 11.03.2013
============================
[*] Исправлен недочет, из-за которого в справочнике товаров после отмены добавления группы товаров переставало обновляться
    содержимое групп при переключении между группами.


Версия 1.7.1.1 от 02.03.2013
============================
[*] Исправлен недочет, из-за которого выходила ошибка при создании документа "на основании" другого документа.


Версия 1.7.1 от 25.02.2013
==========================
[+] Добавлен отчет "Наличие по складам". Отчет позволяет увидеть наличие по каждой товарной позиции на каждом складе
    и общую сумму. Для каждого склада формируется своя колонка отчета.


Версия 1.7.0.1 от 11.02.2013
============================
[*] Для выпуска "начальный" сделаны доступными клавиши создания документов "перемещение" и "возврат перемещения"
    в окне создания нового документа.
[*] Исправлены другие мелкие недочеты.


Версия 1.7.0 от 21.01.2013
==========================
[+] Изменен интерфейс программы на многооконный (MDI). Это позволяет теперь открывать одновременно несколько справочников,
    документов и других окон.
[*] Произведены другие незначительные изменения, сопутствующие переходу на использование нового интерфейса.